package com.jy.business.contract.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.business.contract.model.dto.ContractFundReceivedDto;
import com.jy.business.contract.model.dto.ContractFundReceivedSelectDto;
import com.jy.business.contract.model.vo.ContractFundReceivedVo;

import java.util.List;

/**
 * <p>
 * 合同到账 服务类
 * </p>
 *
 * @author 
 * @since 2025-06-11
 */
public interface ContractFundReceivedService {

    /**
     * 合同到账分页
     */
    Page<ContractFundReceivedVo> getPage(ContractFundReceivedSelectDto dto);

    /**
     * 合同到账明细
     */
    ContractFundReceivedVo getDetail(Long id);

    /**
     * 合同到账新增
     */
    void add(ContractFundReceivedDto dto);

    /**
     * 合同到账编辑
     */
    void edit(ContractFundReceivedDto dto);

    /**
     * 合同到账删除
     */
    void delete(List<Long> idList);

    /**
     * 确认到账
     */
    void confirmArrivalAccount(ContractFundReceivedDto dto);

    List<ContractFundReceivedVo> getList(ContractFundReceivedSelectDto dto);

}
